using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace JabberDemo
{
    public partial class MsgForm : Form
    {
        public DialogResult ModalResult = DialogResult.Cancel;

        public string Message
        {
            get { return txtMsg.Text; }
        }

        public void Set(string title, string caption)
        {
            Text = title;

            lblCaption.Text = caption;
        }

        public MsgForm()
        {
            InitializeComponent();
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            ModalResult = DialogResult.OK;

            Close();
        }

        private void cmdCancel_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}